
use semserialize::SemLine;
use serde::{Serialize, Deserialize};
use postcard::{from_bytes};

use argh::FromArgs;
use std::net;
#[derive(FromArgs)]
///Config options for the client
struct Config {
///listener IP, defaults to 0.0.0.0
#[argh(option, default = "String::from(\"0.0.0.0\")",short='i')]
ip: String,
///listener port
#[argh(option, default = "2137",short='p')]
udpport: usize,
}
fn main() {
    let config:Config = argh::from_env();
    println!("UDP listener Port is {}",config.udpport);
    let socket_addr:std::net::SocketAddr = format!("{}:{}",config.ip,config.udpport).parse::<std::net::SocketAddr>().unwrap_or("0.0.0.0:2137".parse::<std::net::SocketAddr>().unwrap());
    let udpsocket = std::net::UdpSocket::bind(socket_addr).expect("couldn't bind to address");

}
